Bug 145543 - CAN-2005-0094 Multiple issues with squid (CAN-2005-0095 CAN-2005-0096 CAN-2005-0097)
Summary: CAN-2005-0094 Multiple issues with squid (CAN-2005-0095 CAN-2005-0096 CAN-200...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=important,public=20050119
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-19 15:43 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: 7:2.5.STABLE7-1.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 16:03:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-19 15:43:12 UTC
*** This bug has been split off bug 145540 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.19
10:33 -------

Debian alerted vendor-sec to these issues.

CAN-2005-0094

    "infamous41md" discovered a buffer overflow in the parser for
    Gopher responses which will lead to memory corruption and usually
    crash Squid.

http://www.squid-cache.org/Advisories/SQUID-2005_1.txt
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-gopher_html_parsing.patch
http://secunia.com/advisories/13825/

CAN-2005-0095

    "infamous41md" discovered an integer overflow in the receiver of
    WCCP (Web Cache Communication Protocol) messages.  An attacker
    could send a specially crafted UDP datagram that will cause Squid
    to crash.

http://www.squid-cache.org/Advisories/SQUID-2005_2.txt
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-wccp_denial_of_service.patch
http://secunia.com/advisories/13825/

CAN-2005-0096

    Memory leak in the NTLM fakeauth_auth helper for Squid 2.5.STABLE7 and
    earlier allows remote attackers to cause a denial of service (memory
    consumption).

   
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-fakeauth_auth
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-fakeauth_auth.patch
http://secunia.com/advisories/13789/

CAN-2005-0097

    The NTLM component in Squid 2.5.STABLE7 and earlier allows remote
    attackers to cause a denial of service (crash) via a malformed NTLM
    type 3 message.

   
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-fakeauth_auth
http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-fakeauth_auth.patch
http://secunia.com/advisories/13789/


Note You need to log in before you can comment on or make changes to this bug.